import Vue from 'vue'
import App from './App'
import '@/common/components'
// import util from '@/common/utils/common'
import {
	API_URL
} from './env.js'//这里是接口api
import api from '@/request/index'
import com from '@/common/com.js'
Vue.prototype.$api = api;
Vue.prototype.$API_URL = API_URL;
Vue.prototype.$com = com;

Vue.config.productionTip = false
import uView from "uview-ui";
import store from './store/index.js'
import jweixin from 'jweixin-module'
Vue.prototype.$jweixin = jweixin
Vue.prototype.$store = store
Vue.prototype.$base_img = 'https://bag.3iot.top'
// Vue.prototype.$util = util
Vue.use(uView);

Vue.prototype.$Toast = function(title) {
	return uni.showToast({
		title:title,
		icon:'none'
	})
}

//全局混入
Vue.mixin({
    data() {
        return {
        }
    },
	onTabItemTap(e){
		let token = uni.getStorageSync('userToken')
	},
})
App.mpType = 'app'

const app = new Vue({
	store,
    ...App
})

app.$mount()
